# SPDX-License-Identifier: MIT
---

# Number of days of historical performance data to keep.
metrics_retention_days: 7

# List of remote hosts to be analysed by the target host.
# These hosts will have metrics recorded (for historical
# analysis) and automated rule inference (for alerting).
metrics_monitored_hosts: []

# Provide a scalable query language (using Valkey) and the
# PMWEBAPI(3) REST API for metrics at localhost:44322
# OpenMetrics endpoint at localhost:44322/metrics
metrics_query_service: false

# Provide a Graphing server (Grafana) with enabled plugins
# for the available metrics services.
# Graphing service at localhost:3000
metrics_graph_service: false

# Export metrics to an Elasticsearch cluster for analysis
metrics_into_elasticsearch: false

# Make metrics available from an Elasticsearch instance
metrics_from_elasticsearch: false

# Export metrics to an Apache Spark data analysis setup
metrics_into_spark: false

# Make metrics available from an Apache Spark instance
metrics_from_spark: false

# Make metrics available from a SQL Server database
metrics_from_mssql: false

# Make metrics available from bpftrace scripts
metrics_from_bpftrace: false

# Mandatory authentication for bpftrace
metrics_username: metrics
metrics_password: metrics

# Default metrics provider is PCP
metrics_provider: pcp

# If true, manage the pmcd port, pmproxy ports, grafana service and
# valkey or redis service using the firewall role depending upon the
# configuration parameters.
metrics_manage_firewall: false

# If true, manage the pmcd port, pmproxy ports using the selinux role
# depending upon the configuration parameters.
metrics_manage_selinux: false

# Webhook endpoint (URL) where notification about any automatically detected
# performance issues are to be sent.  By default, these events are logged to the
# local system log only.
metrics_webhook_endpoint: ''
